- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: adea4527-af10-4e69-92b9-d9cf17195a09
    creation_time: 2023-02-17T12:11:36.938678Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/nested_delay_nd.c
      input_file_hashes:
        c/loops-crafted-1/nested_delay_nd.c: 39463d01f5c85d47bf5e231172595e96b8ff556c59c4a9ab8cf46a88a393b05c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/nested_delay_nd.c
    file_hash: 39463d01f5c85d47bf5e231172595e96b8ff556c59c4a9ab8cf46a88a393b05c
    line: 25
    column: 0
    function: main
  loop_invariant:
    string: a == b && d == 0 && SIZE == 200000 && last > 0
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: cf27e9ac-6ccc-4a25-952c-97e952b657c1
    creation_time: 2023-02-17T12:11:36.938980Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/nested_delay_nd.c
      input_file_hashes:
        c/loops-crafted-1/nested_delay_nd.c: 39463d01f5c85d47bf5e231172595e96b8ff556c59c4a9ab8cf46a88a393b05c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/nested_delay_nd.c
    file_hash: 39463d01f5c85d47bf5e231172595e96b8ff556c59c4a9ab8cf46a88a393b05c
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: a == b && d == 0 && c <= SIZE && SIZE == 200000 && last > 0 &&  (  ( st == 0 && c > last )  ||  ( st == 1 && c <= last )  ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: f76b8f25-b089-46a0-9e24-029b79485de2
    creation_time: 2023-02-17T12:11:36.939213Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/nested_delay_nd.c
      input_file_hashes:
        c/loops-crafted-1/nested_delay_nd.c: 39463d01f5c85d47bf5e231172595e96b8ff556c59c4a9ab8cf46a88a393b05c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/nested_delay_nd.c
    file_hash: 39463d01f5c85d47bf5e231172595e96b8ff556c59c4a9ab8cf46a88a393b05c
    line: 44
    column: 0
    function: main
  location_invariant:
    string: a == b && c == SIZE
    type: assertion
    format: C

